%define tagver %(echo %version | tr . _)
Name:          packagekit-qt
Epoch:         1
Version:       0.8.8
Release:       1mamba
Summary:       Qt bindings for PackageKit
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.packagekit.org
## GITSOURCE git://gitorious.org/packagekit/packagekit-qt.git
Source:        git://gitorious.org/packagekit/packagekit-qt.git/QPACKAGEKIT_%{tagver}/packagekit-qt-%{version}.tar.bz2
Patch0:        packagekit-qt-20130306git-revert-to-tag-QPACKAGEKIT_0_8_7.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: PackageKit-devel >= 0.8.8
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Qt bindings for PackageKit.

%package -n lib%{name}2
Summary:       Shared libraries for %{name}
Group:         System/Libraries
Provides:      PackageKit-qt
Obsoletes:     PackageKit-qt
Provides:      PackageKit-qt2
Obsoletes:     PackageKit-qt2
Requires:      PackageKit >= 0.8.7

%description -n lib%{name}2
Qt bindings for PackageKit.

%package -n lib%{name}2-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      lib%{name}2 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      PackageKit-qt-devel
Obsoletes:     PackageKit-qt-devel
Provides:      PackageKit-qt2-devel
Obsoletes:     PackageKit-qt2-devel

%description -n lib%{name}2-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}2 -p /sbin/ldconfig
%postun -n lib%{name}2 -p /sbin/ldconfig

%files -n lib%{name}2
%defattr(-,root,root)
%{_libdir}/libpackagekit-qt2.so.*
%doc AUTHORS COPYING

%files -n lib%{name}2-devel
%defattr(-,root,root)
%dir %{_includedir}/PackageKit/packagekit-qt2
%{_includedir}/PackageKit/packagekit-qt2/*
%{_libdir}/cmake/packagekit-qt2/packagekit-qt2-config-version.cmake
%{_libdir}/cmake/packagekit-qt2/packagekit-qt2-config.cmake
%{_libdir}/libpackagekit-qt2.so
%{_libdir}/pkgconfig/packagekit-qt2.pc
%doc NEWS TODO

%changelog
* Mon Jul 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-1mamba
- update to 0.8.8
- libpackagekit-qt2: require PackageKit
- bump epoch up

* Wed Mar 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130306git-1mamba
- package created by silvan using the webbuild interface
